import { useState } from "react";
import TmdbSearch from "../TmdbSearch";
import type { CreateMovie, Movie } from "../../types";
import MovieFormData from "./MovieFormData";

export default function AddMovieForm() {
	const [tmdbMovie, setTmdbMovie] = useState<Movie | null>(null);

	function handleOnSearch(movie: Movie) {
		setTmdbMovie(movie);
	}

	const createMovie: CreateMovie | undefined = tmdbMovie
		? {
				title: tmdbMovie.title,
				backdrop_path: tmdbMovie.backdrop_path,
				poster_path: tmdbMovie.poster_path,
				overview: tmdbMovie.overview,
				release_date: tmdbMovie.release_date,
				tmdb_id: tmdbMovie.id,
			}
		: undefined;

	return (
		<div className="row">
			<div className="col">
				<TmdbSearch onSearch={handleOnSearch} />
			</div>
			<div className="col">
				<MovieFormData defaultValue={createMovie} />
			</div>
		</div>
	);
}
