import type { MovieDetail } from "../../../types";
import CardMoviesListItem from "./CardMoviesListItem";

interface CardMoviesListProps {
	movies: MovieDetail[];
}

export default function CardMoviesList({ movies }: CardMoviesListProps) {
	const items = movies.map((elt) => {
		return (
			<div key={elt.movie.id} className="col-2 mb-4">
				<CardMoviesListItem movie={elt} />
			</div>
		);
	});

	return <div className="row">{items}</div>;
}
