import type { Movie } from "../../../types";

interface GroupMoviesListItemProps {
	item: Movie;
	onClick?: (movie: Movie) => void;
}

export default function GroupMoviesListItem({
	item,
	onClick,
}: GroupMoviesListItemProps) {
	function handleOnClick(e: React.MouseEvent<HTMLElement>) {
		e.stopPropagation();
		e.preventDefault();

		if (onClick) onClick(item);
	}

	return (
		<button
			onClick={handleOnClick}
			type="submit"
			className="list-group-item list-group-item-action flex-column align-items-start"
		>
			<div className="d-flex w-100 justify-content-between">
				<h5 className="mb-1">{item.title}</h5>
				<small>{item.release_date}</small>
			</div>
			<div className="row">
				<div className="col-2">
					<img
						className="img-thumbnail"
						src={`https://image.tmdb.org/t/p/w500${item.poster_path}`}
						alt="lol"
					/>
				</div>
				<div className="col-10">
					<p className="mb-1">{item.overview}</p>
				</div>
			</div>
		</button>
	);
}
