import type { APIRoute } from "astro";

export const GET: APIRoute = async ({ request, cookies }) => {
	const jwt = cookies.get("jwt")?.value as string;
	const url = new URL(request.url);

	const res = await fetch(
		`${import.meta.env.API_URL}/tmdb/movies/search?query=${url.searchParams.get("query")}`,
		{
			method: "GET",
			headers: {
				"Content-Type": "application/json",
				Authorization: `Bearer ${jwt}`,
			},
		},
	);

	const resBody = await res.text();
	return new Response(resBody, { status: res.status });
};
